Package com.google.android.exoplayer2.effect

## Interface GlTextureProcessor.ErrorListener

- Enclosing interface:
    GlTextureProcessor

      public static interface GlTextureProcessor.ErrorListener

  Listener for frame processing errors.

  This listener can be called from any thread.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onFrameProcessingError​(FrameProcessingException e)` | Called when an exception occurs during asynchronous frame processing.

- - ### Method Detail

    - #### onFrameProcessingError

          void onFrameProcessingError​(FrameProcessingException e)

      Called when an exception occurs during asynchronous frame processing.

      If an error occurred, consuming and producing further frames will not work as expected and the `GlTextureProcessor` should be released.